/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function(tinymce) {
	tinymce.create('tinymce.plugins.FoswikiIconsPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mceFoswikiIcons', function() {
				ed.windowManager.open({
					file : foswiki.getPreference('SCRIPTURLPATH') + '/view' +
					foswiki.getPreference('SCRIPTSUFFIX') + '/' + 
					foswiki.getPreference('SYSTEMWEB') + '/FoswikiIconsMenu' ,
					width : 350 ,
					height : 400,
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('foswikiicons', {title : 'emotions.emotions_desc', 
				cmd : 'mceFoswikiIcons', 
				image : foswiki.getPreference('PUBURLPATH') + '/' +
					foswiki.getPreference('SYSTEMWEB') + '/DocumentGraphics/stargold.png'});
		},

		getInfo : function() {
			return {
				longname : 'Foswiki Icons for TinyMCE',
				author : 'JurajVariny',
				authorurl : 'TODO',
				infourl : 'TODO',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('foswikiicons', tinymce.plugins.FoswikiIconsPlugin);
})(tinymce);
